
VIRTUAL CREDIT CARD - Bug #15225

Android [TREATS] [Treats Miles] The Redeem button is clickable although the checkbox is uncheck

17 December 2022 12:23 PM - hsulynn pang

Status: Closed Start date: 17 December 2022

Priority: High Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: ntbsec04

steps:

(1) login

(2) swipe to the right for Kartu Kredit

(3) select the credit card 4260130060454008 for TREATS

(4) at the Customer Transaction History screen, click My TREATS

(5) at the My TREATS Rewards screen, click Redeem Reward TREATS

(6) click Miles tab

(7) at the Miles tab, click Tambah button with adding 1 miles product using 144208 miles

(8) add another Miles product by clicking Tambah button

(9) click Add to Cart button

(10) verify the cart screen (the screen that have Redeem button at bottom)

(11) the checkbox is uncheck, and the Redeem button is show in grey

(12) click on the Redeem button

Actual result: The Redeem button is clickable

Expected result: The Redeem button is not clickable

History

#1 - 17 December 2022 03:43 PM - Septi Gizka Tiara

- Status changed from New to In Progress

#2 - 17 December 2022 04:35 PM - Septi Gizka Tiara

- Status changed from In Progress to Resolved

Commit : 

https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/c657346ce333ab2f690a8f24d6e7594c13bb4

987?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc

#3 - 18 December 2022 06:36 AM - Septi Gizka Tiara

- Assignee changed from Septi Gizka Tiara to hsulynn pang

#4 - 18 December 2022 11:35 AM - hsulynn pang

- File retest (1).mp4 added

- Status changed from Resolved to Closed

tested ok

Files

WhatsApp-Video-2022-12-17-at-115.mp4 3.3 MB 17 December 2022 hsulynn pang

retest (1).mp4 3.41 MB 18 December 2022 hsulynn pang
